Package org.eclipse.gef.dot.internal

# Class DotImport

java.lang.Object
org.eclipse.gef.dot.internal.DotImport

public class DotImport extends Object
A parser that creates a `Graph` with `DotAttributes` from a Graphviz DOT string or file. The created `Graph` follows the structure of the DOT input very closely. Subgraphs (including clusters) are represented by a `Node` with a nested `Graph`, where the graph holds all attributes (like the name). If a node is used in multiple (sub-)graphs, it will be contained in the graph where it is defined (first occurrence).

## Constructor Summary

Constructors
Constructor
Description
`DotImport()`

## Method Summary

Modifier and Type
Method
Description
`List<org.eclipse.gef.graph.Graph>`
`importDot(File dotFile)`
`List<org.eclipse.gef.graph.Graph>`
`importDot(String dotString)`
`List<org.eclipse.gef.graph.Graph>`
`importDot(org.eclipse.gef.dot.internal.language.dot.DotAst dotAst)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DotImport

public DotImport()

## Method Details

### importDot

public List<org.eclipse.gef.graph.Graph> importDot(File dotFile)

### importDot

public List<org.eclipse.gef.graph.Graph> importDot(String dotString)

### importDot

public List<org.eclipse.gef.graph.Graph> importDot(org.eclipse.gef.dot.internal.language.dot.DotAst dotAst)